;;; colonoscopy-theme.el --- an Emacs 24 theme based on Colonoscopy (tmTheme)
;;
;;; Author: Jason Milkins
;;; Version: 20141116
;;
;;; Url: https://github.com/emacsfodder/tmtheme-to-deftheme
;;; Package-Requires: ((emacs "24.0"))
;;
;;; Commentary:
;;  This theme was automatically generated by tmtheme-to-deftheme (tm2deftheme),
;;  from Colonoscopy (tmTheme)
;;
;;; Licence: MIT
;;; Code:

(deftheme colonoscopy
  "colonoscopy-theme - Created by tmtheme-to-deftheme - 2014-11-16 10:26:34 +0800")

(custom-theme-set-variables
 'colonoscopy
)

(custom-theme-set-faces
 'colonoscopy
 ;; basic theming.

 '(default ((t (:foreground "#C0B6A8" :background "#161A1C" ))))
 '(region  ((t (:background "#2A4750"))))
 '(cursor  ((t (:background "#D0C179"))))

 ;; Temporary defaults
 '(linum                               ((t (:foreground "#383938"  :background "#272a2a" ))))
 '(fringe                              ((t (                       :background "#272a2a" ))))

 '(minibuffer-prompt                   ((t (:foreground "#1278A8"  :background nil       :weight bold                                  ))))
 '(escape-glyph                        ((t (:foreground "orange"   :background nil                                                     ))))
 '(highlight                           ((t (:foreground "orange"   :background nil                                                     ))))
 '(shadow                              ((t (:foreground "#777777"  :background nil                                                     ))))

 '(trailing-whitespace                 ((t (:foreground "#FFFFFF"  :background "#C74000"                                               ))))
 '(link                                ((t (:foreground "#00b7f0"  :background nil       :underline t                                  ))))
 '(link-visited                        ((t (:foreground "#4488cc"                        :underline t :inherit (link)                  ))))
 '(button                              ((t (:foreground "#FFFFFF"  :background "#444444" :underline t :inherit (link)                  ))))
 '(next-error                          ((t (                                             :inherit (region)                             ))))
 '(query-replace                       ((t (                                             :inherit (isearch)                            ))))
 '(header-line                         ((t (:foreground "#EEEEEE"  :background "#444444" :box nil :inherit (mode-line)                 ))))

 '(mode-line-highlight                 ((t (                                             :box nil                                      ))))
 '(mode-line-emphasis                  ((t (                                             :weight bold                                  ))))
 '(mode-line-buffer-id                 ((t (                                             :box nil :weight bold                         ))))

 '(mode-line-inactive                  ((t (:foreground "#a2937e"  :background "#272a2a" :box nil :weight light :inherit (mode-line)   ))))
 '(mode-line                           ((t (:foreground "#c0b6a8"  :background "#272a2a" :box nil ))))

 '(isearch                             ((t (:foreground "#99ccee"  :background "#444444"                                               ))))
 '(isearch-fail                        ((t (                       :background "#ffaaaa"                                               ))))
 '(lazy-highlight                      ((t (                       :background "#77bbdd"                                               ))))
 '(match                               ((t (                       :background "#3388cc"                                               ))))

 '(tooltip                             ((t (:foreground "black"    :background "LightYellow" :inherit (variable-pitch)                 ))))

 '(js3-function-param-face             ((t (:foreground "#BFC3A9"                                                                      ))))
 '(js3-external-variable-face          ((t (:foreground "#F0B090"  :bold t                                                             ))))

 '(secondary-selection                 ((t (                       :background "#342858"                                               ))))
 '(cua-rectangle                       ((t (:foreground "#E0E4CC"  :background "#342858" ))))

 ;; Magit hightlight
 '(magit-item-highlight                ((t (:foreground "white" :background "#1278A8" :inherit nil ))))

 ;; flyspell-mode
 '(flyspell-incorrect                  ((t (:underline "#AA0000" :background nil :inherit nil ))))
 '(flyspell-duplicate                  ((t (:underline "#009945" :background nil :inherit nil ))))

 ;; flymake-mode
 '(flymake-errline                     ((t (:underline "#AA0000" :background nil :inherit nil ))))
 '(flymake-warnline                    ((t (:underline "#009945" :background nil :inherit nil ))))

 ;;git-gutter
 '(git-gutter:added                    ((t (:foreground "#609f60" :bold t))))
 '(git-gutter:modified                 ((t (:foreground "#3388cc" :bold t))))
 '(git-gutter:deleted                  ((t (:foreground "#cc3333" :bold t))))

 '(diff-added                          ((t (:background "#305030"))))
 '(diff-removed                        ((t (:background "#903010"))))
 '(diff-file-header                    ((t (:background "#362145"))))
 '(diff-context                        ((t (:foreground "#E0E4CC"))))
 '(diff-changed                        ((t (:foreground "#3388cc"))))
 '(diff-hunk-header                    ((t (:background "#242130"))))


 '(font-lock-comment-face ((t (:foreground "#AEAEAE"  ))))
 '(font-lock-string-face ((t (:foreground "#B9A185"  ))))
 '(font-lock-keyword-face ((t (:foreground "#A1877E"  ))))
 '(font-lock-constant-face ((t (:foreground "#A1877E"  ))))
 '(font-lock-variable-name-face ((t (:foreground "#8D776E"  ))))
 '(font-lock-comment-delimiter-face ((t (:foreground "#AEAEAE"  ))))

;; Rainbow delimiters
 '(rainbow-delimiters-depth-1-face ((t (:foreground "#63544d"))))
 '(rainbow-delimiters-depth-2-face ((t (:foreground "#6d5c55"))))
 '(rainbow-delimiters-depth-3-face ((t (:foreground "#77645d"))))
 '(rainbow-delimiters-depth-4-face ((t (:foreground "#816d65"))))
 '(rainbow-delimiters-depth-5-face ((t (:foreground "#8b756c"))))
 '(rainbow-delimiters-depth-6-face ((t (:foreground "#947e75"))))
 '(rainbow-delimiters-depth-7-face ((t (:foreground "#9b877f"))))
 '(rainbow-delimiters-depth-8-face ((t (:foreground "#a39189"))))
 '(rainbow-delimiters-depth-9-face ((t (:foreground "#ab9a93"))))
 '(rainbow-delimiters-unmatched-face ((t (:foreground "#FF0000"))))
) ;; End face definitions

;;;###autoload
(when load-file-name
  (add-to-list 'custom-theme-load-path
               (file-name-as-directory (file-name-directory load-file-name))))

(provide-theme 'colonoscopy)

;; Local Variables:
;; eval: (when (fboundp 'rainbow-mode) (rainbow-mode +1))
;; End:

;;; colonoscopy-theme.el ends here
